#!/bin/bash

# 1) Calculate the dice coefficient using the small corpus
script/train-dice.py data/kyoto-tunesmall.ja data/kyoto-tunesmall.en > model/dice-tunesmall.ja-en

# 2) Create a score file in reverse order
script/reverse-score.py model/dice-tunesmall.ja-en > model/dice-tunesmall.en-ja

# 3) Use the max-score rule to calculate these in ja-en and en-ja order
script/max-score.py data/kyoto-tune.ja data/kyoto-tune.en model/dice-tunesmall.ja-en > output/kyoto-tunesmall.ja-en
script/max-score.py data/kyoto-tune.en data/kyoto-tune.ja model/dice-tunesmall.en-ja > output/kyoto-tunesmall.en-ja

# 4) Use the "intersection" heuristic to calculate the actual alignments
script/intersect.py output/kyoto-tunesmall.ja-en output/kyoto-tunesmall.en-ja > output/kyoto-tunesmall.intersect.ja-en

# 5) Grade the alignments and measure the alignment F-measure
script/grade-align.py data/kyoto-tune.align.ja-en output/kyoto-tunesmall.intersect.ja-en

# 6) Create a file that allows you to look at the alignment
script/visualize.pl data/kyoto-tune.ja data/kyoto-tune.en output/kyoto-tunesmall.intersect.ja-en 2 1 > output/kyoto-tunesmall.intersect.vis
